extends KinematicBody2D

const UP = Vector2(0,1)

export var gravity = 10
export var speed = 100
export var jump_speed = 200
export var camera_left_padding = 300

var motion = Vector2()
var camera_left_bounds = 0

onready var camera = get_node("Camera2D")

func _physics_process(delta):
	if (position.x - camera_left_padding) > camera.limit_left:
		camera.limit_left = position.x - camera_left_padding
		
	motion.y += gravity
	motion.x = 0
	
	if Input.is_action_pressed('ui_right'):
		motion.x = speed
	elif Input.is_action_pressed('ui_left'):
		motion.x = -speed

	if Input.is_action_just_pressed('ui_up'):
		motion.y = -jump_speed
	
	motion = move_and_slide(motion, UP)

